function [features]=findFeaturesAlotAdd(yp,QRS)
% [averageDiff,~,~]=findPCGpeaksNewFeatures2(yp);
% Diffv=abs(diff(Indexes(:,1)));
averageDiff=median(diff(QRS));
feats1=[];feats2=[];feats3=[];feats4=[];feats5=[];feats6=[];feats7=[];feats8=[];feats9=[];
feats10=[];feats11=[];feats12=[];feats13=[];feats14=[];feats15=[];feats16=[];feats17=[];
feats18=[];feats19=[];feats20=[];feats21=[];feats22=[];feats23=[];feats24=[];feats25=[];
for i=1:length(QRS)-1
    ypp=yp(QRS(i)+1:QRS(i+1));
    ypps=sort(ypp);
    feats1=[feats1,yp(QRS(i))];
    feats2=[feats2,diff(QRS(i:i+1))];
end
len=length(feats1);
feats1=sort(feats1);
feats2=sort(feats2);
[otherFeatures0,qz0] = getECGresultsOther(yp);
[otherFeatures1,qz1] = getECGresultsOther1(yp);
[otherFeatures2,qz2] = getECGresultsOther2(yp);
[otherFeatures3,qz3] = getECGresultsOther3(yp);
% otherFeaturesS0 = getECGresultsOther(yp);
% otherFeaturesS1 = getECGresultsOther1(yp);
% otherFeaturesS2 = getECGresultsOther2(yp);
% otherFeaturesS3 = getECGresultsOther3(yp);
% featuresSTD=[std(feats1),std(feats2)];
features1=[median(feats1(1:round(len/3))),median(feats1(round(len/3):round(2*len/3))),median(feats1(round(len/3):end))];features1=sort(features1);
features1=[features1,abs(features1-median(feats1))];
features1a=[median(abs(feats1(1:round(len/3)))),median(abs(feats1(round(len/3):round(2*len/3)))),median(abs(feats1(round(len/3):end)))];features1a=sort(features1a);
features1a=[features1a,abs(features1a-median(abs(feats1)))];
features2=[median(feats2(1:round(len/3))),median(feats2(round(len/3):round(2*len/3))),median(feats2(round(len/3):end))];features2=sort(features2);
features2=[features2,abs(features2-median(feats2))];
features2a=[median(abs(feats2(1:round(len/3)))),median(abs(feats2(round(len/3):round(2*len/3)))),median(abs(feats2(round(len/3):end)))];features2a=sort(features2a);
features2a=[features2a,abs(features2a-median(abs(feats2)))];

features=[features1,features2,features1a,features2a,otherFeatures0,otherFeatures1,otherFeatures2,otherFeatures3];